
From: Ian Campbell <ijc@hellion.org.uk>

Signed-off-by: Ian Campbell <icampbell@arcom.com>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/cs89x0.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/net/cs89x0.c~cs89x0-collect-tx_bytes-statistics drivers/net/cs89x0.c
--- devel/drivers/net/cs89x0.c~cs89x0-collect-tx_bytes-statistics	2005-07-28 01:05:53.000000000 -0700
+++ devel-akpm/drivers/net/cs89x0.c	2005-07-28 01:05:53.000000000 -0700
@@ -1450,6 +1450,7 @@ static int net_send_packet(struct sk_buf
 	/* Write the contents of the packet */
 	outsw(dev->base_addr + TX_FRAME_PORT,skb->data,(skb->len+1) >>1);
 	spin_unlock_irq(&lp->lock);
+	lp->stats.tx_bytes += skb->len;
 	dev->trans_start = jiffies;
 	dev_kfree_skb (skb);
 
_
